Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic
Interface SchemaLibrary.Results

All Superinterfaces:
  Iterable<SchemaLibrary.Problem>

All Known Implementing Classes:
  ValidationResult

Enclosing interface:
  SchemaLibrary

    public static interface SchemaLibrary.Results

extends Iterable<SchemaLibrary.Problem>

The results from a `validation`.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Method Summary
`int` | `errorCount()` Determine the number of errors within these results.
`boolean` | `hasErrors()` Determine if these results contain at least one error.
`boolean` | `hasOnlyTypeMismatchErrors()` Determine if these results contain only errors that are `mismatched fields`, where the value of a field has a type that does not match but can be converted to the type defined in the schema.
`boolean` | `hasProblems()` Determine if these results contain at least one error or warning.
`boolean` | `hasWarnings()` Determine if these results contain at least one warning.
`int` | `problemCount()` Determine the number of problems (that is, errors and warnings) within these results.
`int` | `warningCount()` Determine the number of warnings within these results.

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### hasProblems

    boolean hasProblems()

  Determine if these results contain at least one error or warning. Calling this method is equivalent to (but more efficient than) calling:

       hasErrors() || hasWarnings()

  or

       problemCount() != 0

  or

       errorCount() != 0 || warningCount() != 0

  Returns:
    `true` if there is at least one error or warning, or `false` if there are no errors or warnings

### hasErrors

    boolean hasErrors()

  Determine if these results contain at least one error.

  Returns:
    `true` if there is at least one error, or `false` if there are no errors

### hasWarnings

    boolean hasWarnings()

  Determine if these results contain at least one warning.

  Returns:
    `true` if there is at least one warning, or `false` if there are no errors

### hasOnlyTypeMismatchErrors

    boolean hasOnlyTypeMismatchErrors()

  Determine if these results contain only errors that are `mismatched fields`, where the value of a field has a type that does not match but can be converted to the type defined in the schema.

  All type mismatch errors are considered `errors`, but not all errors are type mismatch errors.

  If this method return true, then consider calling `SchemaLibrary.convertValues(Document, Results)` to convert the mismatched values and then revalidating.

  Returns:
    `true` if there is at least one mismatched type error, or `false` if there are no errors
  See Also:
    `SchemaLibrary.convertValues(Document, Results)`

### errorCount

    int errorCount()

  Determine the number of errors within these results.

  Returns:
    the number of errors; always 0 or a positive number

### warningCount

    int warningCount()

  Determine the number of warnings within these results.

  Returns:
    the number of warnings; always 0 or a positive number

### problemCount

    int problemCount()

  Determine the number of problems (that is, errors and warnings) within these results.

  Returns:
    the number of errors and warnings; always 0 or a positive number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.